<table class="playground">
  <tr>
    <th *ngFor="let item of [].constructor(colSize); let idxTitle = index;" class="title">{{idxTitle+1}}</th>
  </tr>
  <tr *ngFor="let item of [].constructor(lineSize); let idxLine = index;">
    <td *ngFor="let item of [].constructor(colSize); let idxCol = index;">
      <app-slot [state]="tokens[idxLine][idxCol]" (play)="playToken(idxCol)"></app-slot>
    </td>
  </tr>
</table>
